From 37381a0a793873b1a9b77f2ddc550f791531e4e9 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Sat, 10 Aug 2024 12:41:33 +0200
Subject: [PATCH] Drop unused qt5compat dependency

(cherry picked from commit 72850a2dcc220be175ecb581fc9d44b781bb4d9a)

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 src/CMakeLists.txt                   | 10 ----------
 src/editor/markdownhighlighter.cpp   |  1 -
 src/markdown/memoryarena.cpp         |  2 --
 src/spelling/spellcheckdecorator.cpp |  1 -
 4 files changed, 14 deletions(-)

diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 33ce58f..da55382 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -90,10 +90,6 @@ find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED COMPONENTS
     WebEngineWidgets
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    find_package(Qt6 REQUIRED COMPONENTS Core5Compat)
-endif()
-
 find_package(
     KF${KF_MAJOR_VERSION} ${KF_MIN_VERSION}
     REQUIRED
@@ -135,12 +131,6 @@ target_link_libraries(ghostwriter PRIVATE
     ${CMARK_LIBS}
 )
 
-if (QT_MAJOR_VERSION STREQUAL "6")
-    target_link_libraries(ghostwriter PRIVATE
-        Qt::Core5Compat
-    )
-endif()
-
 set_target_properties(ghostwriter PROPERTIES
     WIN32_EXECUTABLE ON
     MACOSX_BUNDLE ON
diff --git a/src/editor/markdownhighlighter.cpp b/src/editor/markdownhighlighter.cpp
index b463d29..12fae09 100644
--- a/src/editor/markdownhighlighter.cpp
+++ b/src/editor/markdownhighlighter.cpp
@@ -13,7 +13,6 @@
 #include <QRegularExpression>
 #include <QStaticText>
 #include <QString>
-#include <QStringRef>
 #include <QSyntaxHighlighter>
 #include <QTextCharFormat>
 #include <QTextDocument>
diff --git a/src/markdown/memoryarena.cpp b/src/markdown/memoryarena.cpp
index 8e1db78..72b09c1 100644
--- a/src/markdown/memoryarena.cpp
+++ b/src/markdown/memoryarena.cpp
@@ -7,8 +7,6 @@
 #ifndef MEMORY_ARENA_CPP
 #define MEMORY_ARENA_CPP
 
-#include <QLinkedListIterator>
-
 #include "memoryarena.h"
 
 namespace ghostwriter
diff --git a/src/spelling/spellcheckdecorator.cpp b/src/spelling/spellcheckdecorator.cpp
index efdb688..14792d7 100644
--- a/src/spelling/spellcheckdecorator.cpp
+++ b/src/spelling/spellcheckdecorator.cpp
@@ -11,7 +11,6 @@
 #include <QList>
 #include <QMenu>
 #include <QStringList>
-#include <QStringRef>
 #include <QTextBlock>
 #include <QTextBoundaryFinder> 
 #include <QTextCharFormat>
-- 
2.45.2

